package com.hxhq.system.dto;

import com.hxhq.common.core.annotation.Excel;

/**
 * @author memory
 */
public class UserExportDto {
    /**
     * 账号
     */
    @Excel(name = "账号",nameEn = "User")
    private String userName;
    /**
     * 姓名
     */
    @Excel(name = "姓名",nameEn = "Name")
    private String nickName;
    /**
     * 手机
     */
    @Excel(name = "邮箱",nameEn = "Email")
    private String email;
    /**
     * 所属部门/学科
     */
    @Excel(name = "所属部门/学科",nameEn = "Department")
    private String deptName;
    /**
     * 所属角色
     */
    @Excel(name = "所属角色",nameEn = "Owned RoleOwned Role")
    private String roleName;
    /**
     * 状态
     */
    @Excel(name = "状态",nameEn = "Status")
    private String status;

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
